// 初始化状态应用注解
const initState = {
  // 表格数据
  info5: {
    list: [] as any,
    total: 0,
  },
  // 表格顶部数字数据
  infoNum5: [],
  // 查看和审核的详细信息
  lookInfo: {
    info:{},
    list:[]
  } as any,
};

type LoginActionType =
  | { type: "object5/getList"; payload: any }
  | { type: "object5/getListNum"; payload: any }
  | { type: "object5/getLookInfo"; payload: any }
// 频道 reducer
export default function object5Reducer(
  state = initState,
  action: LoginActionType
) {
  switch (action.type) {
    // 表格数据1
    case "object5/getList":
      return { ...state, info5: action.payload };
    // 表格顶部数字数据1
    case "object5/getListNum":
      return { ...state, infoNum5: action.payload };
    // 查看和审核的详细数据
    case "object5/getLookInfo":
      return { ...state, lookInfo: action.payload };
    default:
      return state;
  }
}
